Bug 250467 - shells/ammonite: Update to 2.3.8
Summary: shells/ammonite: Update to 2.3.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-19 17:23 UTC by Jens Grassel
Modified: 2020-11-26 11:22 UTC (History)
1 user (show)

See Also:


Attachments
Patch to update shells/ammonite to 2.2.0 (1.05 KB, patch)
2020-10-19 17:23 UTC, Jens Grassel
no flags Details | Diff
Update shells/ammonite to 2.2.0 (882 bytes, patch)
2020-10-20 15:06 UTC, Jens Grassel
freebsd-ports: maintainer-approval+
Details | Diff
Update shells/ammonite to 2.3.8 (882 bytes, patch)
2020-11-26 08:05 UTC, Jens Grassel
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jens Grassel 2020-10-19 17:23:29 UTC
Created attachment 218896 [details]
Patch to update shells/ammonite to 2.2.0

Hi,

I've attached a patch to update shells/ammonite to 2.2.0.

ChangeLog
---------

- support Scala 2.13.3
- support Scala 2.12.12
- magic import to statically add maven/ivy repos
- rebootstrap mill
- minor fixes

Kind regards,

Jens
Comment 1 Fernando Apesteguía freebsd_committer 2020-10-20 08:22:04 UTC
^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field.

^Triage: Please set the maintainer-approval attachment flag (to +) on patches for ports you maintain to signify approval.
--
Attachment -> Details -> maintainer-approval [+]

^Triage: Maintainer-feedback flag (+) not required unless requested (?) first.

Q/A: patch did not apply cleanly. Would you mind checking it?

$ patch -p3 -E -i ../../250467.patch
Hmm...  Looks like a unified diff to me...
The text leading up to this was:
--------------------------
|diff --git a/shells/ammonite/Makefile b/shells/ammonite/Makefile
|index a4b078d..7228fd7 100644
|--- a/shells/ammonite/Makefile
|+++ b/shells/ammonite/Makefile
--------------------------
Patching file Makefile using Plan A...
Hunk #1 succeeded at 1 with fuzz 1.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|diff --git a/shells/ammonite/distinfo b/shells/ammonite/distinfo
|index 86cf23b..e8209d3 100644
|--- a/shells/ammonite/distinfo
|+++ b/shells/ammonite/distinfo
--------------------------
Patching file distinfo using Plan A...
Hunk #1 succeeded at 1.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|diff --git a/shells/ammonite/pkg-plist b/shells/ammonite/pkg-plist
|deleted file mode 100644
|index 744f23e..0000000
|--- a/shells/ammonite/pkg-plist
|+++ /dev/null
--------------------------
File to patch:



Thanks!
Comment 2 Jens Grassel 2020-10-20 10:13:39 UTC
I'll take a look at it later on. Maybe because one file gets deleted.
Comment 3 Jens Grassel 2020-10-20 15:06:59 UTC
Created attachment 218918 [details]
Update shells/ammonite to 2.2.0

Hi,

I've re-created the patch file.

Kind regards,

Jens
Comment 4 Jens Grassel 2020-11-26 08:05:05 UTC
Created attachment 219993 [details]
Update shells/ammonite to 2.3.8

Meanwhile version 2.3.8 has been released therefore I updated the patch.

ChangeLog
---------

- Replace the built in @main method functionality with the MainArgs library
- Note that the MainArgs replacement has some backwards incompatibilities: Short flags like -i can no longer be passed via --i, the @doc("") is now @arg(doc = ""), Seq[T] parameters are now passed via repeated --foo flags rather than comma-separated.

Kind regards,

Jens
Comment 5 commit-hook freebsd_committer 2020-11-26 11:22:14 UTC
A commit references this bug:

Author: fernape
Date: Thu Nov 26 11:21:46 UTC 2020
New revision: 556330
URL: https://svnweb.freebsd.org/changeset/ports/556330

Log:
  shells/ammonite: Update to 2.3.8

  PR:	250467
  Submitted by:	freebsd-ports@jan0sch.de (maintainer)

Changes:
  head/shells/ammonite/Makefile
  head/shells/ammonite/distinfo
Comment 6 Fernando Apesteguía freebsd_committer 2020-11-26 11:22:50 UTC
Committed,

Thanks!